package org.jeecg.modules.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author 50519
 * 数据字典服务约定俗称的，
 * TODO: 后续迁移到redis
 */
public class DicMap {


    /**
     * 现场检查项目状态（1：合格；2：良好；3：不合格）
     */
    public final static String EK_APPROVAL_STATUS = "EK_APPROVAL_STATUS";

    /**
     * 巡道类型(1:步行巡道 2:乘车巡道)
     */
    public final static String PATROL_TYPE = "PATROL_TYPE";




    /**
     * 现场检查项目状态对应的map
     */
    public final static HashMap<String,String> EK_APPROVAL_STATUS_MAP = new HashMap<String,String>(){{
        put("1","合格");
        put("2","良好");
        put("3","不合格");
    }};
    /**
     * 巡道类型对应的map
     */
    public final static HashMap<String,String> PATROL_TYPE_MAP = new HashMap<String,String>(){{
        put("1","步行巡道");
        put("2","乘车巡道");
    }};





    /**
     * 路由地址 此路由地址放在最后,最后加载
     *
     */
    public final static Map<String,HashMap<String,String>> ROUTE_MAP = new HashMap<String,HashMap<String,String>>(){{
        put("EK_APPROVAL_STATUS", EK_APPROVAL_STATUS_MAP);
        put("PATROL_TYPE", PATROL_TYPE_MAP);
    }};

}
